#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# pytest tests

Summary:	A tool to convert TrueType/OpenType fonts to XML and back
Summary(pl.UTF-8):	Narzędzie do konwersji fontów TrueType/OpenType do/z XML-a
Name:		fonttools
Version:	4.38.0
Release:	1
# basic license is BSD
# FontTools includes Adobe AGL & AGLFN, which is under 3-clauses BSD license
License:	MIT, BSD
Group:		Development/Tools
#Source0Download: https://github.com/fonttools/fonttools/releases
Source0:	https://github.com/fonttools/fonttools/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2e225e2db5bb8541419a2232474dc9a4
URL:		https://github.com/fonttools/fonttools
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.7
%if %{with tests}
BuildRequires:	python3-brotli >= 1.0.9
#BuildRequires:	python3-freetype-py >= 2.3.0
BuildRequires:	python3-fs >= 2.4.16
BuildRequires:	python3-fs < 3
BuildRequires:	python3-lxml >= 4
BuildRequires:	python3-lxml < 5
BuildRequires:	python3-lz4 >= 1.7.4.2
BuildRequires:	python3-matplotlib
BuildRequires:	python3-pytest >= 3.0
# >= 1.9.1?
BuildRequires:	python3-scipy >= 1.7.3
BuildRequires:	python3-skia-pathops >= 0.7.2
BuildRequires:	python3-sympy
#BuildRequires:	python3-ufoLib2 >= 0.13.1
#BuildRequires:	python3-uharfbuzz >= 0.30.0
%if "%{ver_lt '%{py3_ver}' '3.11'}" == "1"
BuildRequires:	python3-unicodedata2 >= 14.0.0
%endif
BuildRequires:	python3-zopfli >= 0.2.1
%endif
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.750
%if %{with doc}
# preferred versions: reportlab 3.6.3, sphinx_rtd_theme 1.0.0, Sphinx 4.3.1
BuildRequires:	python3-ReportLab >= 3.5
BuildRequires:	python3-sphinx_rtd_theme >= 0.4
BuildRequires:	sphinx-pdg-3 >= 3
%endif
Requires:	python3-fonttools = %{version}-%{release}
Requires:	python3-setuptools
Provides:	ttx = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts.
It is written in Python and has a BSD-style, open-source license. TTX
can dump TrueType and OpenType fonts to an XML-based text format and
vice versa.

%description -l pl.UTF-8
TTX/FontTools to narzędzie do operacji na fontach TrueType i OpenType.
Zostało napisane w Pythonie i ma otwartą licencję w stylu BSD. TTX
potrafi wykonywać zrzuty fontów TrueType i OpenType do formatu
tekstowego opartego na XML-u oraz dokonać operacji odwrotnej.

%package -n python3-fonttools
Summary:	Python 3 tools to manipulate font files
Summary(pl.UTF-8):	Narzędzia do manipulacji na plikach fontów dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.7
%if "%{ver_lt '%{py3_ver}' '3.11'}" == "1"
Requires:	python3-unicodedata2 >= 14.0.0
%endif

%description -n python3-fonttools
Python 3 tools to manipulate font files.

%description -n python3-fonttools -l pl.UTF-8
Narzędzia do manipulacji na plikach fontów dla Pythona 3.

%package -n python3-fonttools-apidocs
Summary:	Documentation for Python fonttools module
Summary(pl.UTF-8):	Dokumentacja modułu Pythona fonttools
Group:		Documentation
BuildArch:	noarch

%description -n python3-fonttools-apidocs
Documentation for Python fonttools module.

%description -n python3-fonttools-apidocs -l pl.UTF-8
Dokumentacja modułu Pythona fonttools.

%prep
%setup -q

%build
%py3_build

%if %{with tests}
PATH="$(pwd):$PATH" \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/Lib \
%{__python3} -m pytest Tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/Lib \
%{__make} -C Doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# sources
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/fontTools/cu2qu/*.c

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE LICENSE.external NEWS.rst README.rst
%attr(755,root,root) %{_bindir}/fonttools
%attr(755,root,root) %{_bindir}/pyftmerge
%attr(755,root,root) %{_bindir}/pyftsubset
%attr(755,root,root) %{_bindir}/ttx
%{_mandir}/man1/ttx.1*

%files -n python3-fonttools
%defattr(644,root,root,755)
%dir %{py3_sitedir}/fontTools
%{py3_sitedir}/fontTools/*.py
%{py3_sitedir}/fontTools/__pycache__
%{py3_sitedir}/fontTools/cffLib
%{py3_sitedir}/fontTools/colorLib
%{py3_sitedir}/fontTools/config
%dir %{py3_sitedir}/fontTools/cu2qu
%attr(755,root,root) %{py3_sitedir}/fontTools/cu2qu/cu2qu.cpython-*.so
%{py3_sitedir}/fontTools/cu2qu/*.py
%{py3_sitedir}/fontTools/cu2qu/__pycache__
%{py3_sitedir}/fontTools/designspaceLib
%{py3_sitedir}/fontTools/encodings
%{py3_sitedir}/fontTools/feaLib
%{py3_sitedir}/fontTools/merge
%{py3_sitedir}/fontTools/misc
%{py3_sitedir}/fontTools/mtiLib
%{py3_sitedir}/fontTools/otlLib
%{py3_sitedir}/fontTools/pens
%{py3_sitedir}/fontTools/subset
%{py3_sitedir}/fontTools/svgLib
%{py3_sitedir}/fontTools/t1Lib
%{py3_sitedir}/fontTools/ttLib
%{py3_sitedir}/fontTools/ufoLib
%{py3_sitedir}/fontTools/unicodedata
%{py3_sitedir}/fontTools/varLib
%{py3_sitedir}/fontTools/voltLib
%{py3_sitedir}/fonttools-%{version}-py*.egg-info

%if %{with doc}
%files -n python3-fonttools-apidocs
%defattr(644,root,root,755)
%doc Doc/build/html/{_images,_modules,_static,cffLib,colorLib,cu2qu,designspaceLib,encodings,feaLib,misc,otlLib,pens,subset,svgLib,ttLib,ufoLib,unicodedata,varLib,*.html,*.js}
%endif
%changelog
* Sun Jan 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonttools.git;a=log;h=master

* Thu Jan 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 58a46b8
- updated to 4.38.0

* Mon Mar 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 4703a67
- updated to 4.31.2

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0c6fccc
- rebuild with python 3.10

* Sat Dec 11 2021 Jakub Bogusz <qboosh@pld-linux.org> c80bac5
- updated to 4.28.3; now requires python 3.7+ (last python2 version saved in python-fonttools.spec)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> b550ec7
- release 4 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> e97a1c5
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 76e3f7e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> af4425a
- updated to 3.44.0

* Sat Dec 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 6c07898
- updated to 3.34.2
- removed optional packages from Requires

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ec2a26
- release 2 (by relup.sh)

* Sat Mar 10 2018 Jakub Bogusz <qboosh@pld-linux.org> e4814eb
- new URLs, updated to 3.24.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b5fd3cf
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 26c4cdc
- automatic change: use py_build/py_install macros

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> 48a3149
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jun 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f1a1d2f
- up to 2.4

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> baf8eef
- pl
- unified Python packaging

* Fri Oct 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 77da64f
- initial; from fc

